[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.CMParentBiDiModeChanged

Handles a CM_PARENTBIDIMODECHANGED message for the control.

## Declaration

Source position: controls.pp line 1448

`protected procedure TControl.CMParentBiDiModeChanged(`
`var Message: TLMessage`
`); message;`

## Arguments

`Message` |  | Control message handled in the method.

## Description

CMParentBiDiModeChanged ensures that the BidiMode property from the Parent control is used when the ParentBidiMode property is set to True. No actions are performed in the method when ParentBidiMode is set to False.

## See also

TControl.BiDiMode |  | Indicates whether text controls use in bi-directional reading.
TControl.ParentBiDiMode |  | Indicates whether the BiDiMode settings in the Parent control are used.
TControl.Parent |  | The control within which the control is shown.
TLMessage |  |